package RichAudit;

// -----( IS Java Code Template v1.2
// -----( CREATED: 2014-05-02 13:01:44 EEST
// -----( ON-HOST: RCVD-DCL-16

import com.wm.data.*;
import com.wm.util.Values;
import com.wm.app.b2b.server.Service;
import com.wm.app.b2b.server.ServiceException;
// --- <<IS-START-IMPORTS>> ---
import java.text.SimpleDateFormat;
import java.util.Date;
// --- <<IS-END-IMPORTS>> ---

public final class util

{
	// ---( internal utility methods )---

	final static util _instance = new util();

	static util _newInstance() { return new util(); }

	static util _cast(Object o) { return (util)o; }

	// ---( server methods )---




	public static final void dateToMilliseconds (IData pipeline)
        throws ServiceException
	{
		// --- <<IS-START(dateToMilliseconds)>> ---
		// @sigtype java 3.5
		// [i] object:0:required date
		// [o] field:0:required milliseconds
		// pipeline
		IDataCursor pipelineCursor = pipeline.getCursor();
		Date	date = (Date)IDataUtil.get( pipelineCursor, "date" );
		pipelineCursor.destroy();
		
		String milliseconds = Long.toString(date.getTime());
		
		// pipeline
		IDataCursor pipelineCursor_1 = pipeline.getCursor();
		IDataUtil.put( pipelineCursor_1, "milliseconds", milliseconds );
		pipelineCursor_1.destroy();
		// --- <<IS-END>> ---

                
	}



	public static final void parseDateString (IData pipeline)
        throws ServiceException
	{
		// --- <<IS-START(parseDateString)>> ---
		// @sigtype java 3.5
		// [i] field:0:required dateString
		// [i] field:0:required pattern
		// [o] object:0:required dateObject
			
		IDataCursor pipelineCursor = pipeline.getCursor();
		String	dateString = IDataUtil.getString( pipelineCursor, "dateString" );
		String	pattern = IDataUtil.getString( pipelineCursor, "pattern" );
		pipelineCursor.destroy();
		
		SimpleDateFormat dateFormat = new SimpleDateFormat(pattern);
		
		Date dateObject = null;
		
		try{
			dateObject = dateFormat.parse(dateString);
		}
		catch(Exception ex){
			throw new ServiceException(ex);
		}
		
		// pipeline
		IDataCursor pipelineCursor_1 = pipeline.getCursor();
		IDataUtil.put( pipelineCursor_1, "dateObject", dateObject );
		pipelineCursor_1.destroy();
			
		// --- <<IS-END>> ---

                
	}
}

